# Uses of Class
org.apache.lucene.analysis.hunspell.Dictionary

Packages that use Dictionary
Package
Description
org.apache.lucene.analysis.hunspell
A Java implementation of Hunspell stemming and spell-checking algorithms (`Hunspell`), and a stemming TokenFilter (`HunspellStemFilter`) based on it.

- ## Uses of Dictionary in org.apache.lucene.analysis.hunspell

  Methods in org.apache.lucene.analysis.hunspell with parameters of type Dictionary
  Modifier and Type
  Method
  Description
  `static NGramFragmentChecker`
  NGramFragmentChecker.`fromAllSimpleWords(int n, Dictionary dictionary, Runnable checkCanceled)`
  Iterate the whole dictionary, derive all word forms (using `WordFormGenerator`), vary the case to get all words acceptable by the spellchecker, and create a fragment checker based on their `n`-grams.
  `static void`
  NGramFragmentChecker.`processNGrams(int n, Dictionary dictionary, Runnable checkCanceled, NGramFragmentChecker.NGramConsumer consumer)`
  Traverse the whole dictionary, generate all word forms of its entries, and process all n-grams in these word forms.
  Constructors in org.apache.lucene.analysis.hunspell with parameters of type Dictionary
  Modifier
  Constructor
  Description
  ``
  `Hunspell(Dictionary dictionary)`
  ``
  `Hunspell(Dictionary dictionary, TimeoutPolicy policy, Runnable checkCanceled)`
  ``
  `HunspellStemFilter(TokenStream input, Dictionary dictionary)`
  Create a `HunspellStemFilter` outputting all possible stems.
  ``
  `HunspellStemFilter(TokenStream input, Dictionary dictionary, boolean dedup)`
  Create a `HunspellStemFilter` outputting all possible stems.
  ``
  `HunspellStemFilter(TokenStream input, Dictionary dictionary, boolean dedup, boolean longestOnly)`
  Creates a new HunspellStemFilter that will stem tokens from the given TokenStream using affix rules in the provided Dictionary
  ``
  `Suggester(Dictionary dictionary)`
  ``
  `WordFormGenerator(Dictionary dictionary)`